| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | Friends | List of all members
ParticleProperty Class Referencefinal

A trivial class to hold information about a single particle properties. More...

`#include <GaudiKernel/ParticleProperty.h>`

Collaboration diagram for ParticleProperty:
[legend]

## Public Member Functions
| ParticleProperty ()=default
| Constructors. More...
| ParticleProperty (std::string particle, int geantId, int jetsetId, double charge, double mass, double tlife, std::string evtgenName, int pythiaId, double maxWidth)
| ~ParticleProperty ()=default
| Destructor. More...
const std::string & | particle () const
| Get the particle name. More...
void | setParticle (const std::string &particle)
| Set the particle name. More...
int | geantID () const
| Get the GEANT3 ID. More...
void | setGeantID (int id)
| Set the GEANT3 ID. More...
int | pdgID () const
| Get the PDG (= JETSET) ID. More...
void | setPdgID (int id)
| Set the PDG (= JETSET) ID. More...
int | jetsetID () const
| Get the JETSET(StdHep) ID. More...
void | setJetsetID (int id)
| Set the JETSET(StdHep) ID. More...
double | charge () const
| Get the particle charge. More...
void | setCharge (double q)
| Set the particle charge. More...
double | mass () const
| Get the particle mass. More...
void | setMass (double m)
| Set the particle charge. More...
double | lifetime () const
| Get the particle lifetime. More...
void | setLifetime (double t)
| Set the particle lifetime. More...
const std::string & | evtGenName () const
| Get the EvtGen name. More...
void | setEvtGenName (const std::string &name)
| Set the EvtGen name. More...
int | pythiaID () const
| Get the Pythia ID. More...
void | setPythiaID (int pId)
| Set the Pythia ID. More...
double | maxWidth () const
| Get the max width deviation. More...
void | setMaxWidth (double mW)
| Set the max width deviation. More...
const ParticleProperty * | antiParticle () const
| get the pointer to the antiparticle More...
void | setAntiParticle (const ParticleProperty *p)
| set the pointer to the antiparticle More...

## Private Attributes
std::string | m_name
| The particle name. More...
int | m_idgeant
| The GEANT ID. More...
int | m_idjetset
| The Jetset ID. More...
double | m_charge
| The charge. More...
double | m_mass
| The mass. More...
double | m_tlife
| The lifetime. More...
std::string | m_evtgenName
| The EvtGen Name. More...
int | m_pythiaId
| The Pythia ID. More...
double | m_maxWidth
| The maximum width deviation. More...
const ParticleProperty * | m_anti = nullptr
| the antiparticle More...

## Friends
std::ostream & | operator<< (std::ostream &stream, const ParticleProperty &pp)

## Detailed Description

A trivial class to hold information about a single particle properties.

All particle properties are accessible through accessor functions

Author
  Iain Last,G.Corti

Definition at line 18 of file ParticleProperty.h.

## Constructor & Destructor Documentation

## ◆ ParticleProperty() [1/2]

ParticleProperty::ParticleProperty | ( |  | ) |
| default

Constructors.

## ◆ ParticleProperty() [2/2]

ParticleProperty::ParticleProperty | ( | std::string | particle,
|  | int | geantId,
|  | int | jetsetId,
|  | double | charge,
|  | double | mass,
|  | double | tlife,
|  | std::string | evtgenName,
|  | int | pythiaId,
|  | double | maxWidth
| ) |  |
| inline

Definition at line 23 of file ParticleProperty.h.

25 : m_name( std::move( particle ) )
26 , m_idgeant( geantId )
27 , m_idjetset( jetsetId )
28 , m_charge( charge )
29 , m_mass( mass )
30 , m_tlife( tlife )
31 , m_evtgenName( std::move( evtgenName ) )
32 , m_pythiaId( pythiaId )
33 , m_maxWidth( maxWidth ) {}
ParticleProperty::m_name
std::string m_name
The particle name.
Definition: ParticleProperty.h:113
ParticleProperty::m_charge
double m_charge
The charge.
Definition: ParticleProperty.h:122
ParticleProperty::m_tlife
double m_tlife
The lifetime.
Definition: ParticleProperty.h:128
ParticleProperty::maxWidth
double maxWidth() const
Get the max width deviation.
Definition: ParticleProperty.h:93
ParticleProperty::m_idjetset
int m_idjetset
The Jetset ID.
Definition: ParticleProperty.h:119
std::move
T move(T... args)
ParticleProperty::m_pythiaId
int m_pythiaId
The Pythia ID.
Definition: ParticleProperty.h:134
ParticleProperty::m_idgeant
int m_idgeant
The GEANT ID.
Definition: ParticleProperty.h:116
ParticleProperty::m_evtgenName
std::string m_evtgenName
The EvtGen Name.
Definition: ParticleProperty.h:131
ParticleProperty::m_maxWidth
double m_maxWidth
The maximum width deviation.
Definition: ParticleProperty.h:137
ParticleProperty::mass
double mass() const
Get the particle mass.
Definition: ParticleProperty.h:69
ParticleProperty::charge
double charge() const
Get the particle charge.
Definition: ParticleProperty.h:63
ParticleProperty::m_mass
double m_mass
The mass.
Definition: ParticleProperty.h:125

## ◆ ~ParticleProperty()

ParticleProperty::~ParticleProperty | ( |  | ) |
| default

Destructor.

## Member Function Documentation

## ◆ antiParticle()

const ParticleProperty* ParticleProperty::antiParticle | ( |  | ) | const
| inline

get the pointer to the antiparticle

Definition at line 99 of file ParticleProperty.h.

99 { return m_anti; }
ParticleProperty::m_anti
const ParticleProperty * m_anti
the antiparticle
Definition: ParticleProperty.h:140

## ◆ charge()

double ParticleProperty::charge | ( |  | ) | const
| inline

Get the particle charge.

Definition at line 63 of file ParticleProperty.h.

63 { return m_charge; }
ParticleProperty::m_charge
double m_charge
The charge.
Definition: ParticleProperty.h:122

## ◆ evtGenName()

const std::string& ParticleProperty::evtGenName | ( |  | ) | const
| inline

Get the EvtGen name.

Definition at line 81 of file ParticleProperty.h.

81 { return m_evtgenName; }
ParticleProperty::m_evtgenName
std::string m_evtgenName
The EvtGen Name.
Definition: ParticleProperty.h:131

## ◆ geantID()

int ParticleProperty::geantID | ( |  | ) | const
| inline

Get the GEANT3 ID.

Definition at line 45 of file ParticleProperty.h.

45 { return m_idgeant; }
ParticleProperty::m_idgeant
int m_idgeant
The GEANT ID.
Definition: ParticleProperty.h:116

## ◆ jetsetID()

int ParticleProperty::jetsetID | ( |  | ) | const
| inline

Get the JETSET(StdHep) ID.

Definition at line 57 of file ParticleProperty.h.

57 { return m_idjetset; }
ParticleProperty::m_idjetset
int m_idjetset
The Jetset ID.
Definition: ParticleProperty.h:119

## ◆ lifetime()

double ParticleProperty::lifetime | ( |  | ) | const
| inline

Get the particle lifetime.

Definition at line 75 of file ParticleProperty.h.

75 { return m_tlife; }
ParticleProperty::m_tlife
double m_tlife
The lifetime.
Definition: ParticleProperty.h:128

## ◆ mass()

double ParticleProperty::mass | ( |  | ) | const
| inline

Get the particle mass.

Definition at line 69 of file ParticleProperty.h.

69 { return m_mass; }
ParticleProperty::m_mass
double m_mass
The mass.
Definition: ParticleProperty.h:125

## ◆ maxWidth()

double ParticleProperty::maxWidth | ( |  | ) | const
| inline

Get the max width deviation.

Definition at line 93 of file ParticleProperty.h.

93 { return m_maxWidth; }
ParticleProperty::m_maxWidth
double m_maxWidth
The maximum width deviation.
Definition: ParticleProperty.h:137

## ◆ particle()

const std::string& ParticleProperty::particle | ( |  | ) | const
| inline

Get the particle name.

Definition at line 39 of file ParticleProperty.h.

39 { return m_name; }
ParticleProperty::m_name
std::string m_name
The particle name.
Definition: ParticleProperty.h:113

## ◆ pdgID()

int ParticleProperty::pdgID | ( |  | ) | const
| inline

Get the PDG (= JETSET) ID.

Definition at line 51 of file ParticleProperty.h.

51 { return m_idjetset; }
ParticleProperty::m_idjetset
int m_idjetset
The Jetset ID.
Definition: ParticleProperty.h:119

## ◆ pythiaID()

int ParticleProperty::pythiaID | ( |  | ) | const
| inline

Get the Pythia ID.

Definition at line 87 of file ParticleProperty.h.

87 { return m_pythiaId; }
ParticleProperty::m_pythiaId
int m_pythiaId
The Pythia ID.
Definition: ParticleProperty.h:134

## ◆ setAntiParticle()

void ParticleProperty::setAntiParticle | ( | const ParticleProperty * | p | ) |
| inline

set the pointer to the antiparticle

Definition at line 101 of file ParticleProperty.h.

101 { m_anti = p; }
ParticleProperty::m_anti
const ParticleProperty * m_anti
the antiparticle
Definition: ParticleProperty.h:140

## ◆ setCharge()

void ParticleProperty::setCharge | ( | double | q | ) |
| inline

Set the particle charge.

Definition at line 66 of file ParticleProperty.h.

66 { m_charge = q; }
ParticleProperty::m_charge
double m_charge
The charge.
Definition: ParticleProperty.h:122

## ◆ setEvtGenName()

void ParticleProperty::setEvtGenName | ( | const std::string & | name | ) |
| inline

Set the EvtGen name.

Definition at line 84 of file ParticleProperty.h.

84 { m_evtgenName = name; }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
ParticleProperty::m_evtgenName
std::string m_evtgenName
The EvtGen Name.
Definition: ParticleProperty.h:131

## ◆ setGeantID()

void ParticleProperty::setGeantID | ( | int | id | ) |
| inline

Set the GEANT3 ID.

Definition at line 48 of file ParticleProperty.h.

48 { m_idgeant = id; }
ParticleProperty::m_idgeant
int m_idgeant
The GEANT ID.
Definition: ParticleProperty.h:116

## ◆ setJetsetID()

void ParticleProperty::setJetsetID | ( | int | id | ) |
| inline

Set the JETSET(StdHep) ID.

Definition at line 60 of file ParticleProperty.h.

60 { m_idjetset = id; }
ParticleProperty::m_idjetset
int m_idjetset
The Jetset ID.
Definition: ParticleProperty.h:119

## ◆ setLifetime()

void ParticleProperty::setLifetime | ( | double | t | ) |
| inline

Set the particle lifetime.

Definition at line 78 of file ParticleProperty.h.

78 { m_tlife = t; }
ParticleProperty::m_tlife
double m_tlife
The lifetime.
Definition: ParticleProperty.h:128

## ◆ setMass()

void ParticleProperty::setMass | ( | double | m | ) |
| inline

Set the particle charge.

Definition at line 72 of file ParticleProperty.h.

72 { m_mass = m; }
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:92
ParticleProperty::m_mass
double m_mass
The mass.
Definition: ParticleProperty.h:125

## ◆ setMaxWidth()

void ParticleProperty::setMaxWidth | ( | double | mW | ) |
| inline

Set the max width deviation.

Definition at line 96 of file ParticleProperty.h.

96 { m_maxWidth = mW; }
ParticleProperty::m_maxWidth
double m_maxWidth
The maximum width deviation.
Definition: ParticleProperty.h:137

## ◆ setParticle()

void ParticleProperty::setParticle | ( | const std::string & | particle | ) |
| inline

Set the particle name.

Definition at line 42 of file ParticleProperty.h.

42 { m_name = particle; }
ParticleProperty::m_name
std::string m_name
The particle name.
Definition: ParticleProperty.h:113
ParticleProperty::particle
const std::string & particle() const
Get the particle name.
Definition: ParticleProperty.h:39

## ◆ setPdgID()

void ParticleProperty::setPdgID | ( | int | id | ) |
| inline

Set the PDG (= JETSET) ID.

Definition at line 54 of file ParticleProperty.h.

54 { m_idjetset = id; }
ParticleProperty::m_idjetset
int m_idjetset
The Jetset ID.
Definition: ParticleProperty.h:119

## ◆ setPythiaID()

void ParticleProperty::setPythiaID | ( | int | pId | ) |
| inline

Set the Pythia ID.

Definition at line 90 of file ParticleProperty.h.

90 { m_pythiaId = pId; }
ParticleProperty::m_pythiaId
int m_pythiaId
The Pythia ID.
Definition: ParticleProperty.h:134

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const ParticleProperty & | pp
| ) |  |
| friend

Definition at line 103 of file ParticleProperty.h.

103 {
104 stream << "Name : " << pp.m_name << ", Geant ID : " << pp.m_idgeant << ", JetSet ID : " << pp.m_idjetset
105 << ", Charge (/e): " << pp.m_charge << ", Mass (MeV): " << pp.m_mass << ", Lifetime (ns): " << pp.m_tlife
106 << ", EvtGen Name: " << pp.m_evtgenName << ", Pythia ID: " << pp.m_pythiaId
107 << ", Max width deviation (MeV): " << pp.m_maxWidth;
108 return stream;
109 }
compareOutputFiles.pp
pp
Definition: compareOutputFiles.py:495

## Member Data Documentation

## ◆ m_anti

const ParticleProperty* ParticleProperty::m_anti = nullptr
| private

the antiparticle

Definition at line 140 of file ParticleProperty.h.

## ◆ m_charge

double ParticleProperty::m_charge
| private

The charge.

Definition at line 122 of file ParticleProperty.h.

## ◆ m_evtgenName

std::string ParticleProperty::m_evtgenName
| private

The EvtGen Name.

Definition at line 131 of file ParticleProperty.h.

## ◆ m_idgeant

int ParticleProperty::m_idgeant
| private

The GEANT ID.

Definition at line 116 of file ParticleProperty.h.

## ◆ m_idjetset

int ParticleProperty::m_idjetset
| private

The Jetset ID.

Definition at line 119 of file ParticleProperty.h.

## ◆ m_mass

double ParticleProperty::m_mass
| private

The mass.

Definition at line 125 of file ParticleProperty.h.

## ◆ m_maxWidth

double ParticleProperty::m_maxWidth
| private

The maximum width deviation.

Definition at line 137 of file ParticleProperty.h.

## ◆ m_name

std::string ParticleProperty::m_name
| private

The particle name.

Definition at line 113 of file ParticleProperty.h.

## ◆ m_pythiaId

int ParticleProperty::m_pythiaId
| private

The Pythia ID.

Definition at line 134 of file ParticleProperty.h.

## ◆ m_tlife

double ParticleProperty::m_tlife
| private

The lifetime.

Definition at line 128 of file ParticleProperty.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ParticleProperty.h